Package com.verisign.epp.framework

## Interface EPPEventHandler

- All Known Implementing Classes:
    `AddlEmailContactHandler`, `AllocationTokenDomainHandler`, `BalanceHandler`, `ChangePollDomainHandler`, `CoaDomainHandler`, `ContactHandler`, `DefRegHandler`, `DomainHandler`, `EmailFwdHandler`, `EPPBalanceHandler`, `EPPContactHandler`, `EPPDefRegHandler`, `EPPDomainHandler`, `EPPEmailFwdHandler`, `EPPGenHandler`, `EPPHostHandler`, `EPPIdnTableHandler`, `EPPMaintenanceHandler`, `EPPNameVerificationHandler`, `EPPNameWatchHandler`, `EPPOrgHandler`, `EPPRegistryHandler`, `EPPRegistryHandler`, `EPPTestGenHandler`, `EPPValidateHandler`, `FeeDomainHandler`, `GenHandler`, `HostHandler`, `IdnDomainHandler`, `IdnMapDomainHandler`, `IdnTableHandler`, `LaunchDomainHandler`, `LoginSecGenHandler`, `LowBalanceDomainHandler`, `MaintenanceHandler`, `NamestoreExtDomainHandler`, `NamestoreExtHostHandler`, `NameVerificationHandler`, `NameWatchHandler`, `NSContactHandler`, `NSDomainHandler`, `NSHostHandler`, `OrgExtDomainHandler`, `OrgHandler`, `PersRegDomainHandler`, `PersRegEmailFwdHandler`, `RegistryHandler`, `RegistryHandler`, `RelatedDomainHandler`, `RgpDomainHandler`, `SecDNSDomainHandler`, `SecureAuthInfoContactHandler`, `SecureAuthInfoDomainHandler`, `SyncDomainHandler`, `TtlDomainHandler`, `TtlHostHandler`, `UnhandledNamespacesDomainHandler`, `ValidateHandler`, `VerificationCodeDomainHandler`, `WhoisDomainHandler`

      public interface EPPEventHandler

  The `EPPEventHandler` interface defines the interface used to be notified of EPPEvents.
  See Also:
    `EPPException`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getNamespace()` | The Namespace that a handler is associated with.
    `EPPEventResponse` | `handleEvent​(EPPEvent aEvent, java.lang.Object aData)` | Invoked when an EPPMessage should be handled

- - ### Method Detail

    - #### handleEvent

          EPPEventResponse handleEvent​(EPPEvent aEvent,
                                       java.lang.Object aData)
                                throws EPPEventException

      Invoked when an EPPMessage should be handled
      Parameters:
        `aEvent` - The Event to be handled
        `aData` - Any additional data that may need to be received.
      Returns:
        `EPPEventResponse` The response to return
      Throws:
        `EPPEventException` - On handling event error

    - #### getNamespace

          java.lang.String getNamespace()

      The Namespace that a handler is associated with.
      Returns:
        String The Namespace that the handler is associated with.